SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
TCPInterface.h File Reference

A simple TCP based server allowing sends and receives. Can be connected by any TCP client, including telnet. More...

`#include "NativeFeatureIncludes.h"`
`#include "memoryoverride.h"`
`#include "DS_List.h"`
`#include "types.h"`
`#include "Export.h"`
`#include "thread.h"`
`#include "DS_Queue.h"`
`#include "SimpleMutex.h"`
`#include "defines.h"`
`#include "SocketIncludes.h"`
`#include "DS_ByteQueue.h"`
`#include "DS_ThreadsafeAllocatingQueue.h"`
`#include "LocklessTypes.h"`
`#include "PluginInterface2.h"`

Go to the source code of this file.

## Classes

class | SLNet::TCPInterface
struct | SLNet::TCPInterface::ThisPtrPlusSysAddr
struct | SLNet::RemoteClient
| Stores information about a remote client. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Detailed Description

A simple TCP based server allowing sends and receives. Can be connected by any TCP client, including telnet.

Definition in file TCPInterface.h.

## Class Documentation

struct SLNet::TCPInterface::ThisPtrPlusSysAddr

Definition at line 205 of file TCPInterface.h.

Class Members
char | bindAddress |
unsigned short | socketFamily |
SystemAddress | systemAddress |
TCPInterface * | tcpInterface |
bool | useSSL |